// exampleDlg.h : header file
//

#if !defined(AFX_EXAMPLEDLG_H__839BD14F_1005_4D86_A3C4_8D02519E94DD__INCLUDED_)
#define AFX_EXAMPLEDLG_H__839BD14F_1005_4D86_A3C4_8D02519E94DD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CExampleDlg dialog
/////////////////////////////////////////////////////////////////////////////
const IMAGE_FORMAT_BMP = 1; 
const IMAGE_FORMAT_EMF = 2; 
const IMAGE_FORMAT_WMF = 3; 
const IMAGE_FORMAT_JPG = 4; 
const IMAGE_FORMAT_PNG = 5; 
const IMAGE_FORMAT_GIF = 6; 
const IMAGE_FORMAT_TIF = 7;  
const IMAGE_FORMAT_PCX = 8; 
const IMAGE_FORMAT_TGA = 9;  
const IMAGE_FORMAT_JP2 = 10;
const IMAGE_FORMAT_RAS = 11;
const IMAGE_FORMAT_JPC = 12;
/////////////////////////////////////////////////////////////////////////////
//The compression method in the generated TIFF file.
const COMPRESSION_NONE		= 0; 
const COMPRESSION_LZW		= 1;
const COMPRESSION_JPEG		= 2;
const COMPRESSION_PACKBITS	= 3;
const COMPRESSION_CCITTG4	= 4;
const COMPRESSION_CCITTG3	= 5;
const COMPRESSION_RLE		= 6;

/////////////////////////////////////////////////////////////////////////////
const BITCOUNT_1	= 1;	//black/white( 1 bits )
const BITCOUNT_4G	= 3;	//16 color grayscale( 4 bits )
const BITCOUNT_4	= 4;	//16 color( 4 bits )
const BITCOUNT_8G	= 7;	//256 color grayscale( 8 bits )
const BITCOUNT_8	= 8;	//256 color( 8 bits )
const BITCOUNT_24	= 24;	//True color( 24 bits )
/////////////////////////////////////////////////////////////////////////////
typedef long __stdcall MBegin();
typedef long __stdcall MEnd(long id);
typedef long __stdcall MConvertToImage(long id,char *infile,char *outpath,char *filename);
typedef long __stdcall MSetImageParam( long id,long imagetype,long bitcount,long quality,
								 long rotate,long width,long height,long xdpi,long ydpi,
								 long compression,long multipage);

typedef long __stdcall MConvertToPDF(long id,char *infile,char *outfile);
typedef long __stdcall MPDFEncrypt(long id,char *userpassword,char *ownerpassword,
							long encryptlevel,long printing,long copying,long changing,long adding);

typedef long __stdcall MPDFInformation(long id,char *title,char *subject,char *author,
									char *keywords,char *creator,char *producer);

typedef long __stdcall MPDFWatermark(long id,char *text,long fsize,long fcolor,
									 long position,long angle,long xoff,long yoff,long background);

/////////////////////////////////////////////////////////////////////////////

class CExampleDlg : public CDialog
{
// Construction
public:
	CExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExampleDlg)
	enum { IDD = IDD_EXAMPLE_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL



private:
	HMODULE			m_hinstLib;
	MBegin			*pMBegin;
	MConvertToImage	*pMConvertToImage;
	MSetImageParam	*pMSetImageParam;
	MConvertToPDF	*pMConvertToPDF;	
	MPDFEncrypt		*pMPDFEncrypt;
	MPDFInformation	*pMPDFInformation;
	MPDFWatermark	*pMPDFWatermark;	
	MEnd			*pMEnd;

private:
	BOOL LoadPclCvtDll();
	BOOL FreePclCvtDll();


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXAMPLEDLG_H__839BD14F_1005_4D86_A3C4_8D02519E94DD__INCLUDED_)
